# include <iostream>
# include <string.h>
using namespace std;

class Employee
{
	private:
		char *name;
		char *lastname;
		double salary;
	public:
		Employee(char *n,char *l,double s);
		double	getSalary() const;
		void print();
		~Employee();
};

Employee::Employee(char *n,char *l,double s)
{
	name=new char[strlen(n)+1];
	lastname=new char[strlen(l)+1];
	strcpy(name,n);
	strcpy(lastname,l);
	salary=s;
}

double	Employee::getSalary() const
{
	return salary;
}

void	Employee::print()
{
	cout<<"name: "<<name<<" lastname: "<<lastname<<
		" salary: "<<salary<<endl;
}

Employee::~Employee()
{
}

int main()
{
	Employee *emp[5];
	int i;
	double average=0.0;
	char name[80];
	char lastname[80];
	double salary;

	for(i=0;i<5;i++)
	{
		cout<<"Enter name "<<endl;
		cin>>name;
		cout<<"Enter lastname "<<endl;
		cin>>lastname;
		cout<<"Enter salary "<<endl;
		cin>>salary;
		emp[i]=new Employee(name,lastname,salary);
		average=average+emp[i]->getSalary();	
	}
	average=average/5;
	cout<<"Average salary is "<<average<<endl;
	for(i=0;i<5;i++)
	{
		delete emp[i];
	}
	return 0;
}
